OpenCV: cv::WImageBuffer< T > Class Template Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Types | Public Member Functions | List of all members
cv::WImageBuffer< T > Class Template Reference
Core functionality

`#include "wimage.hpp"`

Inheritance diagram for cv::WImageBuffer< T >:

## Public Types
typedef WImage< T >::BaseType | BaseType
Public Types inherited from cv::WImage< T >
typedef T | BaseType

## Public Member Functions
| WImageBuffer ()
| WImageBuffer (int width, int height, int nchannels)
| WImageBuffer (IplImage *img)
| ~WImageBuffer ()
void | Allocate (int width, int height, int nchannels)
void | CloneFrom (const WImage< T > &src)
bool | IsNull () const
void | ReleaseImage ()
void | SetIpl (IplImage *img)
Public Member Functions inherited from cv::WImage< T >
virtual | ~WImage ()=0
int | Channels () const
int | ChannelSize () const
void | CopyFrom (const WImage< T > &src)
int | Depth () const
template<>
int | Depth () const
template<>
int | Depth () const
template<>
int | Depth () const
template<>
int | Depth () const
template<>
int | Depth () const
template<>
int | Depth () const
template<>
int | Depth () const
int | Height () const
T * | ImageData ()
const T * | ImageData () const
IplImage * | Ipl ()
const IplImage * | Ipl () const
T * | operator() (int c, int r)
const T * | operator() (int c, int r) const
int | PixelSize () const
const T * | Row (int r) const
T * | Row (int r)
void | SetZero ()
WImageView< T > | View (int c, int r, int width, int height)
int | Width () const
int | WidthStep () const

## Additional Inherited Members
Protected Member Functions inherited from cv::WImage< T >
| WImage (const WImage &)
| WImage (IplImage *img)
void | operator= (const WImage &)
void | SetIpl (IplImage *image)
Protected Attributes inherited from cv::WImage< T >
IplImage * | image_

## Detailed Description

### template<typename T>
class cv::WImageBuffer< T >

Image class which owns the data, so it can be allocated and is always freed. It cannot be copied but can be explicitly cloned.

## Member Typedef Documentation

## ◆ BaseType

template<typename T >

typedef WImage<T>::BaseType cv::WImageBuffer< T >::BaseType

## Constructor & Destructor Documentation

## ◆ WImageBuffer() [1/3]

template<typename T >

cv::WImageBuffer< T >::WImageBuffer | ( |  | ) |
| inline

## ◆ WImageBuffer() [2/3]

template<typename T >

cv::WImageBuffer< T >::WImageBuffer | ( | int | width,
|  | int | height,
|  | int | nchannels
| ) |  |
| inline

## ◆ WImageBuffer() [3/3]

template<typename T >

cv::WImageBuffer< T >::WImageBuffer | ( | IplImage * | img | ) |
| inlineexplicit

## ◆ ~WImageBuffer()

template<typename T >

cv::WImageBuffer< T >::~WImageBuffer | ( |  | ) |
| inline

## Member Function Documentation

## ◆ CloneFrom()

template<typename T >

void cv::WImageBuffer< T >::CloneFrom | ( | const WImage< T > & | src | ) |
| inline

## ◆ IsNull()

template<typename T >

bool cv::WImageBuffer< T >::IsNull | ( |  | ) | const
| inline

## ◆ ReleaseImage()

template<typename T >

void cv::WImageBuffer< T >::ReleaseImage | ( |  | ) |
| inline

## ◆ SetIpl()

template<typename T >

void cv::WImageBuffer< T >::SetIpl | ( | IplImage * | img | ) |
| inline

The documentation for this class was generated from the following file:

- core/include/opencv2/core/wimage.hpp